Documentation · API reference
DELETE/api/v1/sites/{site}

Delete a site

Delete a site and everything counted for it. Typed to confirm: the site's name in `confirm`.

Parameters

sitein the address
neededA site's id or name
confirmin the query
neededThe site's name

The answer

Status 204

Asking

With your token from Settings
curl -X DELETE "https://tidekeeper.eu/api/v1/sites/example.org?confirm=…" \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN"
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/sites/example.org?confirm=…", {
  method: "DELETE",
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
  },
}).then((r) => r.json());